Subject: Offline Message from Alan Michael: Hi, My children have a Swagtron T1 and it
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 23 Nov 2019 07:13:32 -0000

From: Alan Michael <[email-masked]>
Phone: 
Location: Woodinville, United States
URL: https://swagtron.com/
Department: SwagTron

Hi,
My children have a Swagtron T1 and it looks like the battery has died.  I checked the charger and it is still outputting the expected 42V, so I'm guessing the battery itself is the issue. Do you know where I can order a replacement battery? I haven't had any luck searching online, either on the Swagtron website or elsewhere.

Thanks!
Alan

----
Zopim
https://www.zopim.com